Bug 1764680 (CVE-2019-2938) - CVE-2019-2938 mysql: InnoDB unspecified vulnerability (CPU Oct 2019)
Summary: CVE-2019-2938 mysql: InnoDB unspecified vulnerability (CPU Oct 2019)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-2938
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1768175 1768176 1768177 1768195 1768196 1768197 1769266 1769267 1769268 1769273 1769274 1769275 1874036 1874037 1874038 1880312 1894116 1899013 1899014 1899015 1899016
Blocks: 1764702
TreeView+ depends on / blocked
 
Reported: 2019-10-23 15:05 UTC by Tomas Hoger
Modified: 2021-02-16 21:11 UTC (History)
21 users (show)

Fixed In Version: mysql 5.7.28, mysql 8.0.18, mariadb 10.4.9, mariadb 10.3.19, mariadb 10.2.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-19 15:15:28 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:3523 0 None None None 2020-08-19 19:01:26 UTC
Red Hat Product Errata RHBA-2020:3777 0 None None None 2020-09-17 09:28:51 UTC
Red Hat Product Errata RHBA-2020:5318 0 None None None 2020-12-02 11:07:43 UTC
Red Hat Product Errata RHBA-2021:0025 0 None None None 2021-01-05 14:20:38 UTC
Red Hat Product Errata RHSA-2020:3518 0 None None None 2020-08-19 14:07:40 UTC
Red Hat Product Errata RHSA-2020:3732 0 None None None 2020-09-14 12:54:13 UTC
Red Hat Product Errata RHSA-2020:3755 0 None None None 2020-09-15 16:16:49 UTC
Red Hat Product Errata RHSA-2020:3757 0 None None None 2020-09-15 18:27:27 UTC
Red Hat Product Errata RHSA-2020:4174 0 None None None 2020-10-05 15:15:32 UTC
Red Hat Product Errata RHSA-2020:5246 0 None None None 2020-11-30 13:44:38 UTC
Red Hat Product Errata RHSA-2020:5500 0 None None None 2020-12-15 17:09:43 UTC
Red Hat Product Errata RHSA-2020:5654 0 None None None 2020-12-22 09:01:15 UTC
Red Hat Product Errata RHSA-2020:5663 0 None None None 2020-12-22 09:24:06 UTC
Red Hat Product Errata RHSA-2020:5665 0 None None None 2020-12-22 09:25:21 UTC

Description Tomas Hoger 2019-10-23 15:05:30 UTC
Vulnerability in the MySQL Server product of Oracle MySQL (component: InnoDB). Supported versions that are affected are 5.7.27 and prior and  8.0.17 and prior. Difficult to exploit vulnerability allows high privileged attacker with network access via multiple protocols to compromise MySQL Server. Successful attacks of this vulnerability can result in unauthorized ability to cause a hang or frequently repeatable crash (complete DOS) of MySQL Server.

External References:

http://www.oracle.com/technetwork/security-advisory/cpuoct2019-5072832.html

Comment 1 Tomas Hoger 2019-11-03 09:22:22 UTC
Created community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768175]


Created mysql:8.0/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768176]

Comment 2 Tomas Hoger 2019-11-03 09:27:38 UTC
Created mysql:5.7/community-mysql tracking bugs for this issue:

Affects: fedora-all [bug 1768177]

Comment 5 Tomas Hoger 2019-11-06 10:18:35 UTC
Created mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1769266]


Created mariadb:10.3/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1769267]


Created mariadb:10.4/mariadb tracking bugs for this issue:

Affects: fedora-all [bug 1769268]

Comment 7 errata-xmlrpc 2020-08-19 14:07:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:3518 https://access.redhat.com/errata/RHSA-2020:3518

Comment 8 Product Security DevOps Team 2020-08-19 15:15:28 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-2938

Comment 13 errata-xmlrpc 2020-09-14 12:54:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:3732 https://access.redhat.com/errata/RHSA-2020:3732

Comment 15 errata-xmlrpc 2020-09-15 16:16:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:3755 https://access.redhat.com/errata/RHSA-2020:3755

Comment 17 errata-xmlrpc 2020-09-15 18:27:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:3757 https://access.redhat.com/errata/RHSA-2020:3757

Comment 23 errata-xmlrpc 2020-10-05 15:15:29 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:4174 https://access.redhat.com/errata/RHSA-2020:4174

Comment 24 errata-xmlrpc 2020-11-30 13:44:37 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2020:5246 https://access.redhat.com/errata/RHSA-2020:5246

Comment 25 errata-xmlrpc 2020-12-15 17:09:36 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:5500 https://access.redhat.com/errata/RHSA-2020:5500

Comment 26 errata-xmlrpc 2020-12-22 09:01:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2020:5654 https://access.redhat.com/errata/RHSA-2020:5654

Comment 27 errata-xmlrpc 2020-12-22 09:24:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:5663 https://access.redhat.com/errata/RHSA-2020:5663

Comment 28 errata-xmlrpc 2020-12-22 09:25:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:5665 https://access.redhat.com/errata/RHSA-2020:5665


Note You need to log in before you can comment on or make changes to this bug.